package com.casic.missiles.service.equipment;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.IdDTO;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.equipment.CheckInfoRequest;
import com.casic.missiles.model.equipment.EquipmentCheckInfo;

import javax.servlet.http.HttpServletResponse;

public interface IEquipmentCheckInfoService extends IService<EquipmentCheckInfo> {

    Page<EquipmentCheckInfo> checkInfoList(Page<EquipmentCheckInfo> page, CheckInfoRequest request) throws Exception;

    ReturnDTO deleteCheckInfo(IdDTO idDto);

    EquipmentCheckInfo selectCheckInfo(IdDTO idDto) throws Exception;

    ReturnDTO addCheckInfo(EquipmentCheckInfo equipmentCheckInfo);

    void exportCheckInfoList(CheckInfoRequest request, HttpServletResponse response) throws Exception;
}
